gnocchi problem

asked 2018-12-15 12:29:47 -0600

novainfinite gravatar image

hello friends i want to install ceilometer with gnocchi in rocky but in ceilometer-agent-notification.log i recieve 2018-12-15 18:13:52.366 4483 ERROR stevedore.extension [-] Could not load 'meter': Pipeline {'publishers': ['gnocchi://?filter_project=service&archive_policy=low']}: Both sources & si$ 2018-12-15 18:13:52.366 4483 ERROR ceilometer.notification [-] Could not load the following pipelines: set(['meter'])

what should i do?

do not answer it if you do not know the question and serch in internet . thanks

edit retag flag offensive close merge delete

Comments

How did you install Rocky, and how did you install Ceilometer and Gnocchi?

I have the feeling the error message you posted is incomplete, for example something is missing at Both sources & si$. Can you double-check and format it as code?

Bernd Bausch gravatar imageBernd Bausch ( 2018-12-15 16:07:58 -0600 )edit

The error message indicates an incorrect pipeline definition http://git.openstack.org/cgit/opensta....

Bernd Bausch gravatar imageBernd Bausch ( 2018-12-15 16:14:24 -0600 )edit

i do not know how to write yaml file for pipeline if i want a simple yaml file for alarming cpu high what should i do? thanks

novainfinite gravatar imagenovainfinite ( 2018-12-16 01:18:27 -0600 )edit

For CPU high you can use the default pipeline.yaml. It produces a cpu_util metric, which Ceilometer puts into Gnocchi.

Bernd Bausch gravatar imageBernd Bausch ( 2018-12-16 04:08:04 -0600 )edit

Then: openstack alarm create --name cpuhigh --type gnocchi_resources_threshold --metric cpu_util --comparison-operator gt --threshold 50 --granularity X --aggregation-method mean --resource-id INSTANCE_ID --alarm-action http://URL:PORT where X is a multiple of the interval in polling.yaml.

Bernd Bausch gravatar imageBernd Bausch ( 2018-12-16 04:10:06 -0600 )edit